/build/ldns-00A0O8/ldns-1.8.4/host2str.c File Reference

Go to the source code of this file.

## Macros

#define | INET_ADDRSTRLEN 16
#define | INET6_ADDRSTRLEN 46

## Functions

ldns_edns_option_list * | pkt_edns_data2edns_option_list (const ldns_rdf *edns_data)
ldns_status | ldns_output_format_set_type (ldns_output_format *fmt, ldns_rr_type t)
| Makes sure the LDNS_FMT_RFC3597 is set in the output format.
ldns_status | ldns_output_format_clear_type (ldns_output_format *fmt, ldns_rr_type t)
| Makes sure the LDNS_FMT_RFC3597 is set in the output format.
ldns_status | ldns_pkt_opcode2buffer_str (ldns_buffer *output, ldns_pkt_opcode opcode)
| Converts an ldns packet opcode value to its mnemonic, and adds that to the output buffer.
ldns_status | ldns_pkt_rcode2buffer_str (ldns_buffer *output, ldns_pkt_rcode rcode)
| Converts an ldns packet rcode value to its mnemonic, and adds that to the output buffer.
ldns_status | ldns_algorithm2buffer_str (ldns_buffer *output, ldns_algorithm algorithm)
| Converts an ldns algorithm type to its mnemonic, and adds that to the output buffer.
ldns_status | ldns_cert_algorithm2buffer_str (ldns_buffer *output, ldns_cert_algorithm cert_algorithm)
| Converts an ldns certificate algorithm type to its mnemonic, and adds that to the output buffer.
char * | ldns_pkt_opcode2str (ldns_pkt_opcode opcode)
| Converts a packet opcode to its mnemonic and returns that as an allocated null-terminated string.
char * | ldns_pkt_rcode2str (ldns_pkt_rcode rcode)
| Converts a packet rcode to its mnemonic and returns that as an allocated null-terminated string.
char * | ldns_pkt_algorithm2str (ldns_algorithm algorithm)
| Converts a signing algorithms to its mnemonic and returns that as an allocated null-terminated string.
char * | ldns_pkt_cert_algorithm2str (ldns_cert_algorithm cert_algorithm)
| Converts a cert algorithm to its mnemonic and returns that as an allocated null-terminated string.
ldns_status | ldns_rdf2buffer_str_dname (ldns_buffer *output, const ldns_rdf *dname)
| Print the ldns_rdf containing a dname to the buffer.
ldns_status | ldns_rdf2buffer_str_int8 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_INT8 rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_int16 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_INT16 rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_int32 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_INT32 rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_time (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_TIME rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_a (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_A rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_aaaa (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_AAAA rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_str (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_STR rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_b64 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_B64 rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_b32_ext (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_B32_EXT rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_hex (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_HEX rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_type (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_TYPE rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_class (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_CLASS rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_cert_alg (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_CERT rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_alg (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_ALG rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rr_type2buffer_str (ldns_buffer *output, const ldns_rr_type type)
| Converts an ldns_rr_type value to its string representation, and places it in the given buffer.
char * | ldns_rr_type2str (const ldns_rr_type type)
| Converts an ldns_rr_type value to its string representation, and returns that string.
ldns_status | ldns_rr_class2buffer_str (ldns_buffer *output, const ldns_rr_class klass)
| Converts an ldns_rr_class value to its string representation, and places it in the given buffer.
char * | ldns_rr_class2str (const ldns_rr_class klass)
| Converts an ldns_rr_class value to its string representation, and returns that string.
ldns_status | ldns_rdf2buffer_str_loc (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_LOC rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_unknown (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_UNKNOWN rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_nsap (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_NSAP rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_atma (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_ATMA rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_wks (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_WKS rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_nsec (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_NSEC rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_nsec3_salt (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_NSEC3_SALT rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_period (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_PERIOD rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_tsigtime (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_TSIGTIME rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_apl (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_APL rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_int16_data (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_INT16_DATA rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_ipseckey (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_IPSECKEY rdata element to string format and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_ilnp64 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_ILNP64 rdata element to 4 hexadecimal numbers separated by colons and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_eui48 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_EUI48 rdata element to 6 hexadecimal numbers separated by dashes and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_eui64 (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_EUI64 rdata element to 8 hexadecimal numbers separated by dashes and adds it to the output buffer.
ldns_status | ldns_rdf2buffer_str_tag (ldns_buffer *output, const ldns_rdf *rdf)
| Adds the LDNS_RDF_TYPE_TAG rdata to the output buffer, provided it contains only alphanumeric characters.
ldns_status | ldns_rdf2buffer_str_long_str (ldns_buffer *output, const ldns_rdf *rdf)
| Adds the LDNS_RDF_TYPE_LONG_STR rdata to the output buffer, in-between double quotes and all non printable characters properly escaped.
ldns_status | ldns_rdf2buffer_str_hip (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_HIP rdata element to presentation format for the algorithm, HIT and Public Key and adds it the output buffer .
ldns_status | ldns_rdf2buffer_str_amtrelay (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_AMTRELAY rdata element to presentation format for the precedence, D-bit, type and relay and adds it to the output buffer.
ldns_status | svcparam_key2buffer_str (ldns_buffer *output, uint16_t key)
ldns_status | ldns_rdf2buffer_str_svcparams (ldns_buffer *output, const ldns_rdf *rdf)
| Converts an LDNS_RDF_TYPE_SVCPARAMS rdata element to presentation format.
ldns_status | ldns_rdf2buffer_str (ldns_buffer *buffer, const ldns_rdf *rdf)
| Converts the data in the rdata field to presentation format (as char *) and appends it to the given buffer.
ldns_status | ldns_rr2buffer_str_fmt (ldns_buffer *output, const ldns_output_format *fmt, const ldns_rr *rr)
| Converts the data in the resource record to presentation format (as char *) and appends it to the given buffer.
ldns_status | ldns_rr2buffer_str (ldns_buffer *output, const ldns_rr *rr)
| Converts the data in the resource record to presentation format (as char *) and appends it to the given buffer.
ldns_status | ldns_rr_list2buffer_str_fmt (ldns_buffer *output, const ldns_output_format *fmt, const ldns_rr_list *list)
| Converts a rr_list to presentation format and appends it to the output buffer.
ldns_status | ldns_rr_list2buffer_str (ldns_buffer *output, const ldns_rr_list *list)
| Converts a rr_list to presentation format and appends it to the output buffer.
ldns_status | ldns_pktheader2buffer_str (ldns_buffer *output, const ldns_pkt *pkt)
| Converts the header of a packet to presentation format and appends it to the output buffer.
ldns_status | ldns_edns_option_list2buffer_str (ldns_buffer *output, ldns_edns_option_list *edns_list)
| Converts the list of EDNS options to presentation format (as char *) and appends it to the given buffer.
ldns_status | ldns_pkt2buffer_str_fmt (ldns_buffer *output, const ldns_output_format *fmt, const ldns_pkt *pkt)
| Converts the data in the DNS packet to presentation format (as char *) and appends it to the given buffer.
ldns_status | ldns_pkt2buffer_str (ldns_buffer *output, const ldns_pkt *pkt)
| Converts the data in the DNS packet to presentation format (as char *) and appends it to the given buffer.
ldns_status | ldns_key2buffer_str (ldns_buffer *output, const ldns_key *k)
| Converts the data in the DNS packet to presentation format (as char *) and appends it to the given buffer.
char * | ldns_buffer2str (ldns_buffer *buffer)
| Returns a copy of the data in the buffer as a null terminated char * string.
char * | ldns_buffer_export2str (ldns_buffer *buffer)
| Exports and returns the data in the buffer as a null terminated char * string.
char * | ldns_rdf2str (const ldns_rdf *rdf)
| Converts the data in the rdata field to presentation format and returns that as a char *.
char * | ldns_rr2str_fmt (const ldns_output_format *fmt, const ldns_rr *rr)
| Converts the data in the resource record to presentation format and returns that as a char *.
char * | ldns_rr2str (const ldns_rr *rr)
| Converts the data in the resource record to presentation format and returns that as a char *.
char * | ldns_pkt2str_fmt (const ldns_output_format *fmt, const ldns_pkt *pkt)
| Converts the data in the DNS packet to presentation format and returns that as a char *.
char * | ldns_pkt2str (const ldns_pkt *pkt)
| Converts the data in the DNS packet to presentation format and returns that as a char *.
char * | ldns_key2str (const ldns_key *k)
| Converts a private key to the test presentation fmt and returns that as a char *.
char * | ldns_rr_list2str_fmt (const ldns_output_format *fmt, const ldns_rr_list *list)
| Converts a list of resource records to presentation format and returns that as a char *.
char * | ldns_rr_list2str (const ldns_rr_list *list)
| Converts a list of resource records to presentation format and returns that as a char *.
void | ldns_rdf_print (FILE *output, const ldns_rdf *rdf)
| Prints the data in the rdata field to the given file stream (in presentation format).
void | ldns_rr_print_fmt (FILE *output, const ldns_output_format *fmt, const ldns_rr *rr)
| Prints the data in the resource record to the given file stream (in presentation format).
void | ldns_rr_print (FILE *output, const ldns_rr *rr)
| Prints the data in the resource record to the given file stream (in presentation format).
void | ldns_pkt_print_fmt (FILE *output, const ldns_output_format *fmt, const ldns_pkt *pkt)
| Prints the data in the DNS packet to the given file stream (in presentation format).
void | ldns_pkt_print (FILE *output, const ldns_pkt *pkt)
| Prints the data in the DNS packet to the given file stream (in presentation format).
void | ldns_rr_list_print_fmt (FILE *output, const ldns_output_format *fmt, const ldns_rr_list *lst)
| print a rr_list to output
void | ldns_rr_list_print (FILE *output, const ldns_rr_list *lst)
| print a rr_list to output
void | ldns_resolver_print_fmt (FILE *output, const ldns_output_format *fmt, const ldns_resolver *r)
| Print a resolver (in sofar that is possible) state to output.
void | ldns_resolver_print (FILE *output, const ldns_resolver *r)
| Print a resolver (in sofar that is possible) state to output.
void | ldns_zone_print_fmt (FILE *output, const ldns_output_format *fmt, const ldns_zone *z)
| Print a zone structure * to output.
void | ldns_zone_print (FILE *output, const ldns_zone *z)
| Print a zone structure * to output.

## Variables

ldns_lookup_table | ldns_algorithms []
| Taken from RFC 2535, section 7.
ldns_lookup_table | ldns_hashes []
ldns_lookup_table | ldns_cert_algorithms []
| Taken from RFC 2538.
ldns_lookup_table | ldns_rr_classes []
| rr types
ldns_lookup_table | ldns_rcodes []
| Response codes.
ldns_lookup_table | ldns_opcodes []
| Operation codes.
const ldns_output_format | ldns_output_format_nocomments_record = { 0, NULL }
const ldns_output_format * | ldns_output_format_nocomments = &ldns_output_format_nocomments_record
| Standard output format record that disables commenting in the textual representation of Resource Records completely.
const ldns_output_format | ldns_output_format_onlykeyids_record
const ldns_output_format * | ldns_output_format_onlykeyids = &ldns_output_format_onlykeyids_record
| Standard output format record that annotated only DNSKEY RR's with comment text.
const ldns_output_format * | ldns_output_format_default = &ldns_output_format_onlykeyids_record
| The default output format record.
const ldns_output_format | ldns_output_format_bubblebabble_record
const ldns_output_format * | ldns_output_format_bubblebabble = &ldns_output_format_bubblebabble_record
| Standard output format record that shows all DNSKEY related information in the comment text, plus the optout flag when set with NSEC3's, plus the bubblebabble representation of DS RR's.

## Macro Definition Documentation

## INET_ADDRSTRLEN

#define INET_ADDRSTRLEN 16

Definition at line 40 of file host2str.c.

## INET6_ADDRSTRLEN

#define INET6_ADDRSTRLEN 46

Definition at line 43 of file host2str.c.

## Function Documentation

## pkt_edns_data2edns_option_list()

ldns_edns_option_list * pkt_edns_data2edns_option_list | ( | const ldns_rdf * | edns_data | ) |

Definition at line 764 of file packet.c.

References ldns_edns_new(), ldns_edns_option_list_deep_free(), ldns_edns_option_list_new(), ldns_edns_option_list_push(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_XMALLOC.

## ldns_output_format_set_type()

ldns_status ldns_output_format_set_type | ( | ldns_output_format * | fmt,
|  | ldns_rr_type | type )

Makes sure the LDNS_FMT_RFC3597 is set in the output format.

Marks the type to be printed in RFC3597 format. /param[in] fmt the output format to update /param[in] the type to be printed in RFC3597 format /return LDNS_STATUS_OK on success

Definition at line 160 of file host2str.c.

References ldns_struct_output_format_storage::bitmap, ldns_struct_output_format_storage::flags, LDNS_FMT_RFC3597, ldns_nsec_bitmap_set_type(), ldns_rdf_bitmap_known_rr_types_space(), and LDNS_STATUS_OK.

## ldns_output_format_clear_type()

ldns_status ldns_output_format_clear_type | ( | ldns_output_format * | fmt,
|  | ldns_rr_type | type )

Makes sure the LDNS_FMT_RFC3597 is set in the output format.

Marks the type to not be printed in RFC3597 format. When no other types have been marked before, all known types (except the given one) will be marked for printing in RFC3597 format. /param[in] fmt the output format to update /param[in] the type not to be printed in RFC3597 format /return LDNS_STATUS_OK on success

Definition at line 180 of file host2str.c.

References ldns_struct_output_format_storage::bitmap, ldns_struct_output_format_storage::flags, LDNS_FMT_RFC3597, ldns_nsec_bitmap_clear_type(), ldns_rdf_bitmap_known_rr_types(), and LDNS_STATUS_OK.

## ldns_pkt_opcode2buffer_str()

ldns_status ldns_pkt_opcode2buffer_str | ( | ldns_buffer * | output,
|  | ldns_pkt_opcode | opcode )

Converts an ldns packet opcode value to its mnemonic, and adds that to the output buffer.

Parameters

  [in] | *output | the buffer to add the data to
  [in] | opcode | to find the string representation of

Returns
  LDNS_STATUS_OK on success, or a buffer failure mode on error

Definition at line 200 of file host2str.c.

References ldns_buffer_printf(), ldns_lookup_by_id(), ldns_opcodes, and ldns_struct_lookup_table::name.

## ldns_pkt_rcode2buffer_str()

ldns_status ldns_pkt_rcode2buffer_str | ( | ldns_buffer * | output,
|  | ldns_pkt_rcode | rcode )

Converts an ldns packet rcode value to its mnemonic, and adds that to the output buffer.

Parameters

  [in] | *output | the buffer to add the data to
  [in] | rcode | to find the string representation of

Returns
  LDNS_STATUS_OK on success, or a buffer failure mode on error

Definition at line 212 of file host2str.c.

References ldns_buffer_printf(), ldns_lookup_by_id(), ldns_rcodes, and ldns_struct_lookup_table::name.

## ldns_algorithm2buffer_str()

ldns_status ldns_algorithm2buffer_str | ( | ldns_buffer * | output,
|  | ldns_algorithm | algorithm )

Converts an ldns algorithm type to its mnemonic, and adds that to the output buffer.

Parameters

  [in] | *output | the buffer to add the data to
  [in] | algorithm | to find the string representation of

Returns
  LDNS_STATUS_OK on success, or a buffer failure mode on error

Definition at line 224 of file host2str.c.

References ldns_algorithms, ldns_buffer_printf(), ldns_lookup_by_id(), and ldns_struct_lookup_table::name.

## ldns_cert_algorithm2buffer_str()

ldns_status ldns_cert_algorithm2buffer_str | ( | ldns_buffer * | output,
|  | ldns_cert_algorithm | cert_algorithm )

Converts an ldns certificate algorithm type to its mnemonic, and adds that to the output buffer.

Parameters

  [in] | *output | the buffer to add the data to
  [in] | cert_algorithm | to find the string representation of

Returns
  LDNS_STATUS_OK on success, or a buffer failure mode on error

Definition at line 238 of file host2str.c.

References ldns_buffer_printf(), ldns_cert_algorithms, ldns_lookup_by_id(), and ldns_struct_lookup_table::name.

## ldns_pkt_opcode2str()

char * ldns_pkt_opcode2str | ( | ldns_pkt_opcode | opcode | ) |

Converts a packet opcode to its mnemonic and returns that as an allocated null-terminated string.

Remember to free it.

Parameters

  [in] | opcode | the opcode to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 253 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_pkt_opcode2buffer_str(), and LDNS_STATUS_OK.

## ldns_pkt_rcode2str()

char * ldns_pkt_rcode2str | ( | ldns_pkt_rcode | rcode | ) |

Converts a packet rcode to its mnemonic and returns that as an allocated null-terminated string.

Remember to free it.

Parameters

  [in] | rcode | the rcode to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 273 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_pkt_rcode2buffer_str(), and LDNS_STATUS_OK.

## ldns_pkt_algorithm2str()

char * ldns_pkt_algorithm2str | ( | ldns_algorithm | algorithm | ) |

Converts a signing algorithms to its mnemonic and returns that as an allocated null-terminated string.

Remember to free it.

Parameters

  [in] | algorithm | the algorithm to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 293 of file host2str.c.

References ldns_algorithm2buffer_str(), ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), and LDNS_STATUS_OK.

## ldns_pkt_cert_algorithm2str()

char * ldns_pkt_cert_algorithm2str | ( | ldns_cert_algorithm | cert_algorithm | ) |

Converts a cert algorithm to its mnemonic and returns that as an allocated null-terminated string.

Remember to free it.

Parameters

  [in] | cert_algorithm | to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 314 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_cert_algorithm2buffer_str(), and LDNS_STATUS_OK.

## ldns_rdf2buffer_str_dname()

ldns_status ldns_rdf2buffer_str_dname | ( | ldns_buffer * | output,
|  | const ldns_rdf * | dname )

Print the ldns_rdf containing a dname to the buffer.

Parameters

  [in] | output | the buffer to print to
  [in] | dname | the dname to print

Returns
  ldns_status message if the printing succeeded

Definition at line 337 of file host2str.c.

References ldns_buffer_printf(), LDNS_MAX_DOMAINLEN, ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_DOMAINNAME_OVERFLOW.

## ldns_rdf2buffer_str_int8()

ldns_status ldns_rdf2buffer_str_int8 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_INT8 rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 389 of file host2str.c.

References ldns_buffer_printf(), and ldns_rdf_data().

## ldns_rdf2buffer_str_int16()

ldns_status ldns_rdf2buffer_str_int16 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_INT16 rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 397 of file host2str.c.

References ldns_buffer_printf(), and ldns_rdf_data().

## ldns_rdf2buffer_str_int32()

ldns_status ldns_rdf2buffer_str_int32 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_INT32 rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 405 of file host2str.c.

References ldns_buffer_printf(), and ldns_rdf_data().

## ldns_rdf2buffer_str_time()

ldns_status ldns_rdf2buffer_str_time | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_TIME rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 413 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf2native_int32(), and ldns_serial_arithmetics_gmtime_r().

## ldns_rdf2buffer_str_a()

ldns_status ldns_rdf2buffer_str_a | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_A rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 428 of file host2str.c.

References INET_ADDRSTRLEN, ldns_buffer_printf(), and ldns_rdf_data().

## ldns_rdf2buffer_str_aaaa()

ldns_status ldns_rdf2buffer_str_aaaa | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_AAAA rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 439 of file host2str.c.

References INET6_ADDRSTRLEN, ldns_buffer_printf(), and ldns_rdf_data().

## ldns_rdf2buffer_str_str()

ldns_status ldns_rdf2buffer_str_str | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_STR rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 471 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_b64()

ldns_status ldns_rdf2buffer_str_b64 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_B64 rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 487 of file host2str.c.

References ldns_b64_ntop(), ldns_buffer_printf(), LDNS_FREE, ldns_rdf_data(), ldns_rdf_size(), LDNS_STATUS_MEM_ERR, and LDNS_XMALLOC.

## ldns_rdf2buffer_str_b32_ext()

ldns_status ldns_rdf2buffer_str_b32_ext | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_B32_EXT rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 509 of file host2str.c.

References ldns_b32_ntop_extended_hex(), ldns_buffer_printf(), LDNS_FREE, ldns_rdf_data(), ldns_rdf_size(), LDNS_STATUS_MEM_ERR, LDNS_STATUS_OK, and LDNS_XMALLOC.

## ldns_rdf2buffer_str_hex()

ldns_status ldns_rdf2buffer_str_hex | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_HEX rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 530 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), and ldns_rdf_size().

## ldns_rdf2buffer_str_type()

ldns_status ldns_rdf2buffer_str_type | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_TYPE rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 558 of file host2str.c.

References ldns_output_format_default.

## ldns_rdf2buffer_str_class()

ldns_status ldns_rdf2buffer_str_class | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_CLASS rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 565 of file host2str.c.

References ldns_buffer_printf(), ldns_lookup_by_id(), ldns_rdf_data(), ldns_rr_classes, and ldns_struct_lookup_table::name.

## ldns_rdf2buffer_str_cert_alg()

ldns_status ldns_rdf2buffer_str_cert_alg | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_CERT rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 580 of file host2str.c.

References ldns_buffer_printf(), ldns_cert_algorithms, ldns_lookup_by_id(), ldns_rdf_data(), and ldns_struct_lookup_table::name.

## ldns_rdf2buffer_str_alg()

ldns_status ldns_rdf2buffer_str_alg | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_ALG rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 594 of file host2str.c.

References ldns_rdf2buffer_str_int8().

## ldns_rr_type2buffer_str()

ldns_status ldns_rr_type2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_rr_type | type )

Converts an ldns_rr_type value to its string representation, and places it in the given buffer.

Parameters

  [in] | *output | The buffer to add the data to
  [in] | type | the ldns_rr_type to convert

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 617 of file host2str.c.

References ldns_struct_rr_descriptor::_name, ldns_buffer_printf(), ldns_rr_descript(), LDNS_RR_TYPE_ANY, LDNS_RR_TYPE_AXFR, LDNS_RR_TYPE_IXFR, LDNS_RR_TYPE_MAILA, and LDNS_RR_TYPE_MAILB.

## ldns_rr_type2str()

char * ldns_rr_type2str | ( | const ldns_rr_type | type | ) |

Converts an ldns_rr_type value to its string representation, and returns that string.

For unknown types, the string "TYPE<id>" is returned. This function allocates data that must be freed by the caller

Parameters

  [in] | type | the ldns_rr_type to convert

Returns
  a newly allocated string

Definition at line 650 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_rr_type2buffer_str(), and LDNS_STATUS_OK.

## ldns_rr_class2buffer_str()

ldns_status ldns_rr_class2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_rr_class | klass )

Converts an ldns_rr_class value to its string representation, and places it in the given buffer.

Parameters

  [in] | *output | The buffer to add the data to
  [in] | klass | the ldns_rr_class to convert

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 671 of file host2str.c.

References ldns_buffer_printf(), ldns_lookup_by_id(), ldns_rr_classes, and ldns_struct_lookup_table::name.

## ldns_rr_class2str()

char * ldns_rr_class2str | ( | const ldns_rr_class | klass | ) |

Converts an ldns_rr_class value to its string representation, and returns that string.

For unknown types, the string "CLASS<id>" is returned. This function allocates data that must be freed by the caller

Parameters

  [in] | klass | the ldns_rr_class to convert

Returns
  a newly allocated string

Definition at line 686 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_rr_class2buffer_str(), and LDNS_STATUS_OK.

## ldns_rdf2buffer_str_loc()

ldns_status ldns_rdf2buffer_str_loc | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_LOC rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 705 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf2buffer_str_hex(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_unknown()

ldns_status ldns_rdf2buffer_str_unknown | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_UNKNOWN rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 797 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf2buffer_str_hex(), and ldns_rdf_size().

## ldns_rdf2buffer_str_nsap()

ldns_status ldns_rdf2buffer_str_nsap | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_NSAP rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 804 of file host2str.c.

References ldns_buffer_printf(), and ldns_rdf2buffer_str_hex().

## ldns_rdf2buffer_str_atma()

ldns_status ldns_rdf2buffer_str_atma | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_ATMA rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 811 of file host2str.c.

References ldns_rdf2buffer_str_hex().

## ldns_rdf2buffer_str_wks()

ldns_status ldns_rdf2buffer_str_wks | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_WKS rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 817 of file host2str.c.

References ldns_buffer_printf(), ldns_get_bit(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_nsec()

ldns_status ldns_rdf2buffer_str_nsec | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_NSEC rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 906 of file host2str.c.

References ldns_output_format_default.

## ldns_rdf2buffer_str_nsec3_salt()

ldns_status ldns_rdf2buffer_str_nsec3_salt | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_NSEC3_SALT rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 913 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_period()

ldns_status ldns_rdf2buffer_str_period | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_PERIOD rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 938 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_tsigtime()

ldns_status ldns_rdf2buffer_str_tsigtime | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_TSIGTIME rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 949 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_apl()

ldns_status ldns_rdf2buffer_str_apl | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_APL rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 973 of file host2str.c.

References LDNS_APL_IP4, LDNS_APL_IP6, LDNS_APL_MASK, LDNS_APL_NEGATION, ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_int16_data()

ldns_status ldns_rdf2buffer_str_int16_data | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_INT16_DATA rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1050 of file host2str.c.

References ldns_b64_ntop(), ldns_buffer_printf(), LDNS_FREE, ldns_rdf_data(), ldns_rdf_size(), LDNS_STATUS_MEM_ERR, LDNS_STATUS_WIRE_RDATA_ERR, and LDNS_XMALLOC.

## ldns_rdf2buffer_str_ipseckey()

ldns_status ldns_rdf2buffer_str_ipseckey | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_IPSECKEY rdata element to string format and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1077 of file host2str.c.

References ldns_buffer_printf(), LDNS_FREE, LDNS_IP4ADDRLEN, LDNS_IP6ADDRLEN, ldns_rdf2buffer_str(), ldns_rdf_data(), ldns_rdf_deep_free(), ldns_rdf_new(), ldns_rdf_size(), LDNS_RDF_TYPE_A, LDNS_RDF_TYPE_AAAA, LDNS_RDF_TYPE_B64, LDNS_STATUS_ERR, LDNS_STATUS_MEM_ERR, LDNS_STATUS_OK, LDNS_STATUS_WIRE_RDATA_ERR, ldns_wire2dname(), and LDNS_XMALLOC.

## ldns_rdf2buffer_str_ilnp64()

ldns_status ldns_rdf2buffer_str_ilnp64 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_ILNP64 rdata element to 4 hexadecimal numbers separated by colons and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1187 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_eui48()

ldns_status ldns_rdf2buffer_str_eui48 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_EUI48 rdata element to 6 hexadecimal numbers separated by dashes and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1201 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_eui64()

ldns_status ldns_rdf2buffer_str_eui64 | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_EUI64 rdata element to 8 hexadecimal numbers separated by dashes and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1214 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_tag()

ldns_status ldns_rdf2buffer_str_tag | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Adds the LDNS_RDF_TYPE_TAG rdata to the output buffer, provided it contains only alphanumeric characters.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1228 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_long_str()

ldns_status ldns_rdf2buffer_str_long_str | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Adds the LDNS_RDF_TYPE_LONG_STR rdata to the output buffer, in-between double quotes and all non printable characters properly escaped.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1254 of file host2str.c.

References ldns_buffer_printf(), ldns_rdf_data(), and ldns_rdf_size().

## ldns_rdf2buffer_str_hip()

ldns_status ldns_rdf2buffer_str_hip | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_HIP rdata element to presentation format for the algorithm, HIT and Public Key and adds it the output buffer .

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1265 of file host2str.c.

References ldns_struct_buffer::_position, ldns_b64_ntop(), ldns_buffer_printf(), ldns_buffer_reserve(), ldns_rdf_data(), ldns_rdf_size(), and LDNS_STATUS_WIRE_RDATA_ERR.

## ldns_rdf2buffer_str_amtrelay()

ldns_status ldns_rdf2buffer_str_amtrelay | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_AMTRELAY rdata element to presentation format for the precedence, D-bit, type and relay and adds it to the output buffer.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1309 of file host2str.c.

References ldns_buffer_printf(), LDNS_FREE, LDNS_IP4ADDRLEN, LDNS_IP6ADDRLEN, ldns_rdf2buffer_str(), ldns_rdf_data(), ldns_rdf_deep_free(), ldns_rdf_new(), ldns_rdf_size(), LDNS_RDF_TYPE_A, LDNS_RDF_TYPE_AAAA, LDNS_STATUS_ERR, LDNS_STATUS_MEM_ERR, LDNS_STATUS_OK, LDNS_STATUS_WIRE_RDATA_ERR, ldns_wire2dname(), and LDNS_XMALLOC.

## svcparam_key2buffer_str()

ldns_status svcparam_key2buffer_str | ( | ldns_buffer * | output,
|  | uint16_t | key )

Definition at line 2201 of file str2host.c.

References ldns_buffer_printf(), LDNS_SVCPARAM_KEY_LAST_KEY, and struct_svcparam_key_def::str.

## ldns_rdf2buffer_str_svcparams()

ldns_status ldns_rdf2buffer_str_svcparams | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts an LDNS_RDF_TYPE_SVCPARAMS rdata element to presentation format.

Parameters

  [in] | *rdf | The rdata to convert
  [in] | *output | The buffer to add the data to

Returns
  LDNS_STATUS_OK on success, and error status on failure

Definition at line 1551 of file host2str.c.

References ldns_rdf_data(), ldns_rdf_size(), LDNS_STATUS_NO_SVCPARAM_VALUE_EXPECTED, LDNS_STATUS_NULL, LDNS_STATUS_OK, LDNS_STATUS_RDATA_OVERFLOW, LDNS_SVCPARAM_KEY_ALPN, LDNS_SVCPARAM_KEY_ECH, LDNS_SVCPARAM_KEY_IPV4HINT, LDNS_SVCPARAM_KEY_IPV6HINT, LDNS_SVCPARAM_KEY_MANDATORY, LDNS_SVCPARAM_KEY_NO_DEFAULT_ALPN, LDNS_SVCPARAM_KEY_PORT, and svcparam_key2buffer_str().

## ldns_rdf2buffer_str()

ldns_status ldns_rdf2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_rdf * | rdf )

Converts the data in the rdata field to presentation format (as char *) and appends it to the given buffer.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | rdf | the pointer to the rdafa field containing the data

Returns
  status

Definition at line 1751 of file host2str.c.

References ldns_output_format_default.

## ldns_rr2buffer_str_fmt()

ldns_status ldns_rr2buffer_str_fmt | ( | ldns_buffer * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_rr * | rr )

Converts the data in the resource record to presentation format (as char *) and appends it to the given buffer.

The presentation format is annotated with comments giving additional information on the record.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | fmt | how to format the textual representation of the resource record.
  [in] | rr | the pointer to the rr field to convert

Returns
  status

Definition at line 1809 of file host2str.c.

References ldns_rbnode_t::data, ldns_struct_output_format_storage::flags, ldns_struct_output_format_storage::hashmap, ldns_bubblebabble(), ldns_buffer_printf(), ldns_calc_keytag(), LDNS_COMMENT_BUBBLEBABBLE, LDNS_COMMENT_FLAGS, LDNS_COMMENT_KEY, LDNS_COMMENT_KEY_ID, LDNS_COMMENT_KEY_SIZE, LDNS_COMMENT_KEY_TYPE, LDNS_COMMENT_NSEC3_CHAIN, LDNS_COMMENT_NULLS, LDNS_COMMENT_RRSIGS, ldns_dname_label(), ldns_dnssec_name_name(), LDNS_FMT_PAD_SOA_SERIAL, LDNS_FMT_SHORT, LDNS_FMT_ZEROIZE_RRSIGS, LDNS_FREE, LDNS_KEY_SEP_KEY, LDNS_KEY_ZONE_KEY, ldns_nsec3_next_owner(), ldns_nsec3_optout(), ldns_output_format_default, ldns_rbtree_search(), ldns_rdf2buffer_str(), ldns_rdf2buffer_str_dname(), ldns_rdf2native_int16(), ldns_rdf_data(), ldns_rdf_deep_free(), ldns_rdf_get_type(), ldns_rdf_size(), LDNS_RDF_TYPE_B64, LDNS_RDF_TYPE_INT32, LDNS_RDF_TYPE_TIME, ldns_rr_class2buffer_str(), ldns_rr_dnskey_key_size(), ldns_rr_get_class(), ldns_rr_get_type(), ldns_rr_is_question(), ldns_rr_owner(), ldns_rr_rd_count(), ldns_rr_rdf(), ldns_rr_ttl(), ldns_rr_type2buffer_str(), LDNS_RR_TYPE_DNSKEY, LDNS_RR_TYPE_DS, LDNS_RR_TYPE_NSEC3, LDNS_RR_TYPE_RRSIG, LDNS_RR_TYPE_SOA, and LDNS_STATUS_OK.

## ldns_rr2buffer_str()

ldns_status ldns_rr2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_rr * | rr )

Converts the data in the resource record to presentation format (as char *) and appends it to the given buffer.

The presentation format of DNSKEY record is annotated with comments giving the id, type and size of the key.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | rr | the pointer to the rr field to convert

Returns
  status

Definition at line 2033 of file host2str.c.

References ldns_output_format_default, and ldns_rr2buffer_str_fmt().

## ldns_rr_list2buffer_str_fmt()

ldns_status ldns_rr_list2buffer_str_fmt | ( | ldns_buffer * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_rr_list * | list )

Converts a rr_list to presentation format and appends it to the output buffer.

Parameters

  [in] | output | the buffer to append output to
  [in] | fmt | format of the textual representation
  [in] | list | the ldns_rr_list to print

Returns
  ldns_status

Definition at line 2039 of file host2str.c.

References ldns_rr2buffer_str_fmt(), ldns_rr_list_rr(), and ldns_rr_list_rr_count().

## ldns_rr_list2buffer_str()

ldns_status ldns_rr_list2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_rr_list * | list )

Converts a rr_list to presentation format and appends it to the output buffer.

Parameters

  [in] | output | the buffer to append output to
  [in] | list | the ldns_rr_list to print

Returns
  ldns_status

Definition at line 2052 of file host2str.c.

References ldns_output_format_default, and ldns_rr_list2buffer_str_fmt().

## ldns_pktheader2buffer_str()

ldns_status ldns_pktheader2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_pkt * | pkt )

Converts the header of a packet to presentation format and appends it to the output buffer.

Parameters

  [in] | output | the buffer to append output to
  [in] | pkt | the packet to convert the header of

Returns
  ldns_status

Definition at line 2059 of file host2str.c.

References ldns_buffer_printf(), ldns_lookup_by_id(), ldns_opcodes, ldns_pkt_aa(), ldns_pkt_ad(), ldns_pkt_ancount(), ldns_pkt_arcount(), ldns_pkt_cd(), ldns_pkt_get_opcode(), ldns_pkt_get_rcode(), ldns_pkt_id(), ldns_pkt_nscount(), ldns_pkt_qdcount(), ldns_pkt_qr(), ldns_pkt_ra(), ldns_pkt_rd(), ldns_pkt_tc(), ldns_rcodes, and ldns_struct_lookup_table::name.

## ldns_edns_option_list2buffer_str()

ldns_status ldns_edns_option_list2buffer_str | ( | ldns_buffer * | output,
|  | ldns_edns_option_list * | edns_list )

Converts the list of EDNS options to presentation format (as char *) and appends it to the given buffer.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | edns_list | the list of EDNS options

Returns
  status

Definition at line 2609 of file host2str.c.

References ldns_buffer_printf(), LDNS_EDNS_CHAIN, LDNS_EDNS_CLIENT_SUBNET, LDNS_EDNS_CLIENT_TAG, LDNS_EDNS_COOKIE, LDNS_EDNS_DAU, LDNS_EDNS_DHU, LDNS_EDNS_EDE, LDNS_EDNS_EXPIRE, ldns_edns_get_code(), ldns_edns_get_data(), ldns_edns_get_size(), LDNS_EDNS_KEEPALIVE, LDNS_EDNS_KEY_TAG, LDNS_EDNS_LLQ, LDNS_EDNS_N3U, LDNS_EDNS_NSID, ldns_edns_option_list_get_count(), ldns_edns_option_list_get_option(), LDNS_EDNS_PADDING, LDNS_EDNS_SERVER_TAG, and LDNS_EDNS_UL.

## ldns_pkt2buffer_str_fmt()

ldns_status ldns_pkt2buffer_str_fmt | ( | ldns_buffer * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_pkt * | pkt )

Converts the data in the DNS packet to presentation format (as char *) and appends it to the given buffer.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | fmt | how to format the textual representation of the packet
  [in] | pkt | the pointer to the packet to convert

Returns
  status

Definition at line 2689 of file host2str.c.

References ldns_struct_pkt::_edns_list, ldns_struct_output_format::flags, ldns_buffer_printf(), ldns_edns_option_list2buffer_str(), ldns_edns_option_list_deep_free(), LDNS_FMT_SHORT, LDNS_FREE, ldns_pkt_additional(), ldns_pkt_ancount(), ldns_pkt_answer(), ldns_pkt_answerfrom(), ldns_pkt_arcount(), ldns_pkt_authority(), ldns_pkt_edns(), ldns_pkt_edns_data(), ldns_pkt_edns_do(), ldns_pkt_edns_extended_rcode(), ldns_pkt_edns_udp_size(), ldns_pkt_edns_version(), ldns_pkt_get_rcode(), ldns_pkt_nscount(), ldns_pkt_qdcount(), ldns_pkt_querytime(), ldns_pkt_question(), ldns_pkt_size(), ldns_pkt_timestamp(), ldns_pkt_tsig(), ldns_pktheader2buffer_str(), ldns_rdf2buffer_str(), ldns_rdf2str(), ldns_rr2buffer_str_fmt(), ldns_rr_list_rr(), LDNS_STATUS_OK, and pkt_edns_data2edns_option_list().

## ldns_pkt2buffer_str()

ldns_status ldns_pkt2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_pkt * | pkt )

Converts the data in the DNS packet to presentation format (as char *) and appends it to the given buffer.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | pkt | the pointer to the packet to convert

Returns
  status

Definition at line 2825 of file host2str.c.

References ldns_output_format_default, and ldns_pkt2buffer_str_fmt().

## ldns_key2buffer_str()

ldns_status ldns_key2buffer_str | ( | ldns_buffer * | output,
|  | const ldns_key * | k )

Converts the data in the DNS packet to presentation format (as char *) and appends it to the given buffer.

Parameters

  [in] | output | pointer to the buffer to append the data to
  [in] | k | the pointer to the private key to convert

Returns
  status

Definition at line 2961 of file host2str.c.

References ldns_struct_key::_key, ldns_struct_key::key, ldns_algorithm2buffer_str(), ldns_buffer_printf(), LDNS_FREE, ldns_key_algorithm(), ldns_key_dsa_key(), ldns_key_rsa_key(), LDNS_MAX_KEYLEN, LDNS_RSAMD5, LDNS_RSASHA1, LDNS_RSASHA1_NSEC3, LDNS_RSASHA256, LDNS_RSASHA512, LDNS_SIGN_DSA, LDNS_SIGN_DSA_NSEC3, LDNS_SIGN_ECC_GOST, LDNS_SIGN_ECDSAP256SHA256, LDNS_SIGN_ECDSAP384SHA384, LDNS_SIGN_ED25519, LDNS_SIGN_ED448, LDNS_SIGN_HMACMD5, LDNS_SIGN_HMACSHA1, LDNS_SIGN_HMACSHA224, LDNS_SIGN_HMACSHA256, LDNS_SIGN_HMACSHA384, LDNS_SIGN_HMACSHA512, LDNS_SIGN_RSAMD5, LDNS_SIGN_RSASHA1, LDNS_SIGN_RSASHA1_NSEC3, LDNS_SIGN_RSASHA256, LDNS_SIGN_RSASHA512, LDNS_STATUS_ERR, LDNS_STATUS_OK, and LDNS_XMALLOC.

## ldns_buffer2str()

char * ldns_buffer2str | ( | ldns_buffer * | buffer | ) |

Returns a copy of the data in the buffer as a null terminated char * string.

The returned string must be freed by the caller. The buffer must be in write modus and may thus not have been flipped.

Parameters

  [in] | buffer | buffer containing char * data

Returns
  null terminated char * data, or NULL on error

Definition at line 3235 of file host2str.c.

References ldns_buffer_reserve(), and ldns_buffer_set_capacity().

## ldns_buffer_export2str()

char * ldns_buffer_export2str | ( | ldns_buffer * | buffer | ) |

Exports and returns the data in the buffer as a null terminated char * string.

The returned string must be freed by the caller. The buffer must be in write modus and may thus not have been flipped. The buffer is fixed after this function returns.

Parameters

  [in] | buffer | buffer containing char * data

Returns
  null terminated char * data, or NULL on error

Definition at line 3262 of file host2str.c.

References ldns_buffer_export(), ldns_buffer_reserve(), and ldns_buffer_set_capacity().

## ldns_rdf2str()

char * ldns_rdf2str | ( | const ldns_rdf * | rdf | ) |

Converts the data in the rdata field to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | rdf | The rdata field to convert

Returns
  null terminated char * data, or NULL on error

Definition at line 3276 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), LDNS_MAX_PACKETLEN, ldns_rdf2buffer_str(), and LDNS_STATUS_OK.

## ldns_rr2str_fmt()

char * ldns_rr2str_fmt | ( | const ldns_output_format * | fmt,
|  | const ldns_rr * | rr )

Converts the data in the resource record to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | fmt | how to format the resource record
  [in] | rr | The rdata field to convert

Returns
  null terminated char * data, or NULL on error

Definition at line 3293 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), LDNS_MAX_PACKETLEN, ldns_rr2buffer_str_fmt(), and LDNS_STATUS_OK.

## ldns_rr2str()

char * ldns_rr2str | ( | const ldns_rr * | rr | ) |

Converts the data in the resource record to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | rr | The rdata field to convert

Returns
  null terminated char * data, or NULL on error

Definition at line 3311 of file host2str.c.

References ldns_output_format_default, and ldns_rr2str_fmt().

## ldns_pkt2str_fmt()

char * ldns_pkt2str_fmt | ( | const ldns_output_format * | fmt,
|  | const ldns_pkt * | pkt )

Converts the data in the DNS packet to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | fmt | how to format the packet
  [in] | pkt | The rdata field to convert

Returns
  null terminated char * data, or NULL on error

Definition at line 3317 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), LDNS_MAX_PACKETLEN, ldns_pkt2buffer_str_fmt(), and LDNS_STATUS_OK.

## ldns_pkt2str()

char * ldns_pkt2str | ( | const ldns_pkt * | pkt | ) |

Converts the data in the DNS packet to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | pkt | The rdata field to convert

Returns
  null terminated char * data, or NULL on error

Definition at line 3336 of file host2str.c.

References ldns_output_format_default, and ldns_pkt2str_fmt().

## ldns_key2str()

char * ldns_key2str | ( | const ldns_key * | k | ) |

Converts a private key to the test presentation fmt and returns that as a char *.

Remember to free it.

Parameters

  [in] | k | the key to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 3342 of file host2str.c.

References ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_key2buffer_str(), LDNS_MAX_PACKETLEN, and LDNS_STATUS_OK.

## ldns_rr_list2str_fmt()

char * ldns_rr_list2str_fmt | ( | const ldns_output_format * | fmt,
|  | const ldns_rr_list * | rr_list )

Converts a list of resource records to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | fmt | how to format the list of resource records
  [in] | rr_list | the rr_list to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 3359 of file host2str.c.

References ldns_struct_output_format::flags, ldns_buffer_export2str(), ldns_buffer_free(), ldns_buffer_new(), ldns_buffer_printf(), LDNS_COMMENT_NULLS, LDNS_MAX_PACKETLEN, ldns_output_format_default, ldns_rr_list2buffer_str_fmt(), and LDNS_STATUS_OK.

## ldns_rr_list2str()

char * ldns_rr_list2str | ( | const ldns_rr_list * | rr_list | ) |

Converts a list of resource records to presentation format and returns that as a char *.

Remember to free it.

Parameters

  [in] | rr_list | the rr_list to convert to text

Returns
  null terminated char * data, or NULL on error

Definition at line 3388 of file host2str.c.

References ldns_output_format_default, and ldns_rr_list2str_fmt().

## ldns_rdf_print()

void ldns_rdf_print | ( | FILE * | output,
|  | const ldns_rdf * | rdf )

Prints the data in the rdata field to the given file stream (in presentation format).

Parameters

  [in] | output | the file stream to print to
  [in] | rdf | the rdata field to print

Returns
  void

Definition at line 3394 of file host2str.c.

References LDNS_FREE, and ldns_rdf2str().

## ldns_rr_print_fmt()

void ldns_rr_print_fmt | ( | FILE * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_rr * | rr )

Prints the data in the resource record to the given file stream (in presentation format).

Parameters

  [in] | output | the file stream to print to
  [in] | fmt | format of the textual representation
  [in] | rr | the resource record to print

Returns
  void

Definition at line 3406 of file host2str.c.

References LDNS_FREE, and ldns_rr2str_fmt().

## ldns_rr_print()

void ldns_rr_print | ( | FILE * | output,
|  | const ldns_rr * | rr )

Prints the data in the resource record to the given file stream (in presentation format).

Parameters

  [in] | output | the file stream to print to
  [in] | rr | the resource record to print

Returns
  void

Definition at line 3419 of file host2str.c.

References ldns_output_format_default, and ldns_rr_print_fmt().

## ldns_pkt_print_fmt()

void ldns_pkt_print_fmt | ( | FILE * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_pkt * | pkt )

Prints the data in the DNS packet to the given file stream (in presentation format).

Parameters

  [in] | output | the file stream to print to
  [in] | fmt | format of the textual representation
  [in] | pkt | the packet to print

Returns
  void

Definition at line 3425 of file host2str.c.

References LDNS_FREE, and ldns_pkt2str_fmt().

## ldns_pkt_print()

void ldns_pkt_print | ( | FILE * | output,
|  | const ldns_pkt * | pkt )

Prints the data in the DNS packet to the given file stream (in presentation format).

Parameters

  [in] | output | the file stream to print to
  [in] | pkt | the packet to print

Returns
  void

Definition at line 3438 of file host2str.c.

References ldns_output_format_default, and ldns_pkt_print_fmt().

## ldns_rr_list_print_fmt()

void ldns_rr_list_print_fmt | ( | FILE * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_rr_list * | list )

print a rr_list to output

Parameters

  [in] | output | the fd to print to
  [in] | fmt | format of the textual representation
  [in] | list | the rr_list to print

Definition at line 3444 of file host2str.c.

References ldns_rr_list_rr(), ldns_rr_list_rr_count(), and ldns_rr_print_fmt().

## ldns_rr_list_print()

void ldns_rr_list_print | ( | FILE * | output,
|  | const ldns_rr_list * | list )

print a rr_list to output

Parameters

  [in] | output | the fd to print to
  [in] | list | the rr_list to print

Definition at line 3454 of file host2str.c.

References ldns_output_format_default, and ldns_rr_list_print_fmt().

## ldns_resolver_print_fmt()

void ldns_resolver_print_fmt | ( | FILE * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_resolver * | r )

Print a resolver (in sofar that is possible) state to output.

Parameters

  [in] | output | the fd to print to
  [in] | fmt | format of the textual representation
  [in] | r | the resolver to print

Definition at line 3460 of file host2str.c.

References ldns_rdf_print(), LDNS_RESOLV_RTT_INF, LDNS_RESOLV_RTT_MIN, ldns_resolver_debug(), ldns_resolver_defnames(), ldns_resolver_dnsrch(), ldns_resolver_dnssec(), ldns_resolver_dnssec_anchors(), ldns_resolver_dnssec_cd(), ldns_resolver_domain(), ldns_resolver_edns_udp_size(), ldns_resolver_fail(), ldns_resolver_fallback(), ldns_resolver_igntc(), ldns_resolver_ip6(), ldns_resolver_nameserver_count(), ldns_resolver_nameservers(), ldns_resolver_port(), ldns_resolver_random(), ldns_resolver_recursive(), ldns_resolver_retrans(), ldns_resolver_retry(), ldns_resolver_rtt(), ldns_resolver_searchlist(), ldns_resolver_searchlist_count(), ldns_resolver_timeout(), ldns_resolver_tsig_algorithm(), ldns_resolver_tsig_keyname(), ldns_resolver_usevc(), ldns_rr_list_print_fmt(), and ldns_rr_list_rr_count().

## ldns_resolver_print()

void ldns_resolver_print | ( | FILE * | output,
|  | const ldns_resolver * | r )

Print a resolver (in sofar that is possible) state to output.

Parameters

  [in] | output | the fd to print to
  [in] | r | the resolver to print

Definition at line 3527 of file host2str.c.

References ldns_output_format_default, and ldns_resolver_print_fmt().

## ldns_zone_print_fmt()

void ldns_zone_print_fmt | ( | FILE * | output,
|  | const ldns_output_format * | fmt,
|  | const ldns_zone * | z )

Print a zone structure * to output.

Note the SOA record is included in this output

Parameters

  [in] | output | the fd to print to
  [in] | fmt | format of the textual representation
  [in] | z | the zone to print

Definition at line 3533 of file host2str.c.

References ldns_rr_list_print_fmt(), ldns_rr_print_fmt(), ldns_zone_rrs(), and ldns_zone_soa().

## ldns_zone_print()

void ldns_zone_print | ( | FILE * | output,
|  | const ldns_zone * | z )

Print a zone structure * to output.

Note the SOA record is included in this output

Parameters

  [in] | output | the fd to print to
  [in] | z | the zone to print

Definition at line 3541 of file host2str.c.

References ldns_output_format_default, and ldns_zone_print_fmt().

## Variable Documentation

## ldns_algorithms

ldns_lookup_table ldns_algorithms[]

Initial value:
= {
{ LDNS_RSAMD5, "RSAMD5" },
{ LDNS_DH, "DH" },
{ LDNS_DSA, "DSA" },
{ LDNS_ECC, "ECC" },
{ LDNS_RSASHA1, "RSASHA1" },
{ LDNS_DSA_NSEC3, "DSA-NSEC3-SHA1" },
{ LDNS_RSASHA1_NSEC3, "RSASHA1-NSEC3-SHA1" },
{ LDNS_RSASHA256, "RSASHA256"},
{ LDNS_RSASHA512, "RSASHA512"},
{ LDNS_ECC_GOST, "ECC-GOST"},
{ LDNS_ECDSAP256SHA256, "ECDSAP256SHA256"},
{ LDNS_ECDSAP384SHA384, "ECDSAP384SHA384"},
{ LDNS_ED25519, "ED25519"},
{ LDNS_ED448, "ED448"},
{ LDNS_INDIRECT, "INDIRECT" },
{ LDNS_PRIVATEDNS, "PRIVATEDNS" },
{ LDNS_PRIVATEOID, "PRIVATEOID" },
{ 0, NULL }
}
LDNS_ED448
@ LDNS_ED448
Definition keys.h:59
LDNS_RSAMD5
@ LDNS_RSAMD5
Definition keys.h:46
LDNS_ECDSAP384SHA384
@ LDNS_ECDSAP384SHA384
Definition keys.h:57
LDNS_RSASHA1_NSEC3
@ LDNS_RSASHA1_NSEC3
Definition keys.h:52
LDNS_DSA_NSEC3
@ LDNS_DSA_NSEC3
Definition keys.h:51
LDNS_DSA
@ LDNS_DSA
Definition keys.h:48
LDNS_ECDSAP256SHA256
@ LDNS_ECDSAP256SHA256
Definition keys.h:56
LDNS_ECC_GOST
@ LDNS_ECC_GOST
Definition keys.h:55
LDNS_PRIVATEOID
@ LDNS_PRIVATEOID
Definition keys.h:62
LDNS_PRIVATEDNS
@ LDNS_PRIVATEDNS
Definition keys.h:61
LDNS_DH
@ LDNS_DH
Definition keys.h:47
LDNS_INDIRECT
@ LDNS_INDIRECT
Definition keys.h:60
LDNS_ECC
@ LDNS_ECC
Definition keys.h:49
LDNS_RSASHA1
@ LDNS_RSASHA1
Definition keys.h:50
LDNS_RSASHA512
@ LDNS_RSASHA512
Definition keys.h:54
LDNS_RSASHA256
@ LDNS_RSASHA256
Definition keys.h:53
LDNS_ED25519
@ LDNS_ED25519
Definition keys.h:58

Taken from RFC 2535, section 7.

Definition at line 53 of file host2str.c.

## ldns_hashes

ldns_lookup_table ldns_hashes[]

Initial value:
= {
{LDNS_SHA1 , "SHA1" },
{LDNS_SHA256 , "SHA256" },
{LDNS_HASH_GOST, "HASH-GOST" },
{LDNS_SHA384 , "SHA384" },
{ 0, NULL }
}
LDNS_HASH_GOST
@ LDNS_HASH_GOST
Definition keys.h:73
LDNS_SHA256
@ LDNS_SHA256
Definition keys.h:72
LDNS_SHA1
@ LDNS_SHA1
Definition keys.h:71
LDNS_SHA384
@ LDNS_SHA384
Definition keys.h:74

Definition at line 75 of file host2str.c.

## ldns_cert_algorithms

ldns_lookup_table ldns_cert_algorithms[]

Initial value:
= {
{ LDNS_CERT_PKIX, "PKIX" },
{ LDNS_CERT_SPKI, "SPKI" },
{ LDNS_CERT_PGP, "PGP" },
{ LDNS_CERT_IPKIX, "IPKIX" },
{ LDNS_CERT_ISPKI, "ISPKI" },
{ LDNS_CERT_IPGP, "IPGP" },
{ LDNS_CERT_ACPKIX, "ACPKIX" },
{ LDNS_CERT_IACPKIX, "IACPKIX" },
{ LDNS_CERT_URI, "URI" },
{ LDNS_CERT_OID, "OID" },
{ 0, NULL }
}
LDNS_CERT_SPKI
@ LDNS_CERT_SPKI
Definition rdata.h:159
LDNS_CERT_URI
@ LDNS_CERT_URI
Definition rdata.h:166
LDNS_CERT_ISPKI
@ LDNS_CERT_ISPKI
Definition rdata.h:162
LDNS_CERT_IPGP
@ LDNS_CERT_IPGP
Definition rdata.h:163
LDNS_CERT_ACPKIX
@ LDNS_CERT_ACPKIX
Definition rdata.h:164
LDNS_CERT_IACPKIX
@ LDNS_CERT_IACPKIX
Definition rdata.h:165
LDNS_CERT_IPKIX
@ LDNS_CERT_IPKIX
Definition rdata.h:161
LDNS_CERT_OID
@ LDNS_CERT_OID
Definition rdata.h:167
LDNS_CERT_PGP
@ LDNS_CERT_PGP
Definition rdata.h:160
LDNS_CERT_PKIX
@ LDNS_CERT_PKIX
Definition rdata.h:158

Taken from RFC 2538.

Definition at line 84 of file host2str.c.

## ldns_rr_classes

ldns_lookup_table ldns_rr_classes[]

Initial value:
= {
{ LDNS_RR_CLASS_IN, "IN" },
{ LDNS_RR_CLASS_CH, "CH" },
{ LDNS_RR_CLASS_HS, "HS" },
{ LDNS_RR_CLASS_NONE, "NONE" },
{ LDNS_RR_CLASS_ANY, "ANY" },
{ 0, NULL }
}
LDNS_RR_CLASS_NONE
@ LDNS_RR_CLASS_NONE
None class, dynamic update.
Definition rr.h:53
LDNS_RR_CLASS_IN
@ LDNS_RR_CLASS_IN
the Internet
Definition rr.h:47
LDNS_RR_CLASS_CH
@ LDNS_RR_CLASS_CH
Chaos class.
Definition rr.h:49
LDNS_RR_CLASS_HS
@ LDNS_RR_CLASS_HS
Hesiod (Dyer 87).
Definition rr.h:51
LDNS_RR_CLASS_ANY
@ LDNS_RR_CLASS_ANY
Any class.
Definition rr.h:55

rr types

Definition at line 99 of file host2str.c.

## ldns_rcodes

ldns_lookup_table ldns_rcodes[]

Initial value:
= {
{ LDNS_RCODE_NOERROR, "NOERROR" },
{ LDNS_RCODE_FORMERR, "FORMERR" },
{ LDNS_RCODE_SERVFAIL, "SERVFAIL" },
{ LDNS_RCODE_NXDOMAIN, "NXDOMAIN" },
{ LDNS_RCODE_NOTIMPL, "NOTIMPL" },
{ LDNS_RCODE_REFUSED, "REFUSED" },
{ LDNS_RCODE_YXDOMAIN, "YXDOMAIN" },
{ LDNS_RCODE_YXRRSET, "YXRRSET" },
{ LDNS_RCODE_NXRRSET, "NXRRSET" },
{ LDNS_RCODE_NOTAUTH, "NOTAUTH" },
{ LDNS_RCODE_NOTZONE, "NOTZONE" },
{ 0, NULL }
}
LDNS_RCODE_REFUSED
@ LDNS_RCODE_REFUSED
Definition packet.h:62
LDNS_RCODE_YXDOMAIN
@ LDNS_RCODE_YXDOMAIN
Definition packet.h:63
LDNS_RCODE_FORMERR
@ LDNS_RCODE_FORMERR
Definition packet.h:58
LDNS_RCODE_YXRRSET
@ LDNS_RCODE_YXRRSET
Definition packet.h:64
LDNS_RCODE_SERVFAIL
@ LDNS_RCODE_SERVFAIL
Definition packet.h:59
LDNS_RCODE_NOTIMPL
@ LDNS_RCODE_NOTIMPL
Definition packet.h:61
LDNS_RCODE_NXRRSET
@ LDNS_RCODE_NXRRSET
Definition packet.h:65
LDNS_RCODE_NOTZONE
@ LDNS_RCODE_NOTZONE
Definition packet.h:67
LDNS_RCODE_NXDOMAIN
@ LDNS_RCODE_NXDOMAIN
Definition packet.h:60
LDNS_RCODE_NOTAUTH
@ LDNS_RCODE_NOTAUTH
Definition packet.h:66
LDNS_RCODE_NOERROR
@ LDNS_RCODE_NOERROR
Definition packet.h:57

Response codes.

Definition at line 109 of file host2str.c.

## ldns_opcodes

ldns_lookup_table ldns_opcodes[]

Initial value:
= {
{ LDNS_PACKET_QUERY, "QUERY" },
{ LDNS_PACKET_IQUERY, "IQUERY" },
{ LDNS_PACKET_STATUS, "STATUS" },
{ LDNS_PACKET_NOTIFY, "NOTIFY" },
{ LDNS_PACKET_UPDATE, "UPDATE" },
{ 0, NULL }
}
LDNS_PACKET_IQUERY
@ LDNS_PACKET_IQUERY
Definition packet.h:48
LDNS_PACKET_NOTIFY
@ LDNS_PACKET_NOTIFY
Definition packet.h:50
LDNS_PACKET_QUERY
@ LDNS_PACKET_QUERY
Definition packet.h:47
LDNS_PACKET_STATUS
@ LDNS_PACKET_STATUS
Definition packet.h:49
LDNS_PACKET_UPDATE
@ LDNS_PACKET_UPDATE
Definition packet.h:51

Operation codes.

Definition at line 124 of file host2str.c.

## ldns_output_format_nocomments_record

const ldns_output_format ldns_output_format_nocomments_record = { 0, NULL }

Definition at line 133 of file host2str.c.

## ldns_output_format_nocomments

const ldns_output_format* ldns_output_format_nocomments = &ldns_output_format_nocomments_record

Standard output format record that disables commenting in the textual representation of Resource Records completely.

Definition at line 134 of file host2str.c.

## ldns_output_format_onlykeyids_record

const ldns_output_format ldns_output_format_onlykeyids_record

Initial value:
= {
( (1 << 1) | (1 << 2) | (1 << 3) ), NULL
}

Definition at line 136 of file host2str.c.

## ldns_output_format_onlykeyids

const ldns_output_format* ldns_output_format_onlykeyids = &ldns_output_format_onlykeyids_record

Standard output format record that annotated only DNSKEY RR's with comment text.

Definition at line 139 of file host2str.c.

## ldns_output_format_default

const ldns_output_format* ldns_output_format_default = &ldns_output_format_onlykeyids_record

The default output format record.

Same as ldns_output_format_onlykeyids.

Definition at line 141 of file host2str.c.

## ldns_output_format_bubblebabble_record

const ldns_output_format ldns_output_format_bubblebabble_record

Initial value:
= {
( (1 << 1) | (1 << 2) | (1 << 3) )| (1 << 4) | (1 << 5) , NULL
}

Definition at line 144 of file host2str.c.

## ldns_output_format_bubblebabble

const ldns_output_format* ldns_output_format_bubblebabble = &ldns_output_format_bubblebabble_record

Standard output format record that shows all DNSKEY related information in the comment text, plus the optout flag when set with NSEC3's, plus the bubblebabble representation of DS RR's.

Definition at line 147 of file host2str.c.